rte_security_tls_record_lifetime(3)

NAME
rte_security_tls_record_lifetime

SYNOPSIS

#include <rte_security.h>

  Data Fields

uint64_t packets_soft_limit
uint64_t packets_hard_limit

Detailed Description

Configure soft and hard lifetime of a TLS record session.

Lifetime of a TLS record session would specify the maximum number of packets that can be processed. TLS record processing operations would start failing once hard limit is reached.

Soft limits can be specified to generate notification when the TLS record session is approaching hard limits for lifetime. This would result in a warning returned in rte_crypto_op.aux_flags.

Definition at line 666 of file rte_security.h.

Field Documentation

  uint64_t packets_soft_limit
Soft expiry limit in number of packets

Definition at line 668 of file rte_security.h.

  uint64_t packets_hard_limit
Hard expiry limit in number of packets

Definition at line 670 of file rte_security.h.

Author

Generated automatically by Doxygen for DPDK from the source code.